SDL_SetStringProperty(3)

NAME
SDL_SetStringProperty - Set a string property on a set of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetStringProperty(SDL_PropertiesID props, const char *name, const char *value);

DESCRIPTION
This function makes a copy of the string; the caller does not have to preserve the data after this call completes.

FUNCTION PARAMETERS

props
    the properties to modify

name
    the name of the property to modify

value
    the new value of the property, or NULL to delete the property

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetStringProperty(3)